Announcement: Upgrade to macOS Mojave

With features like Dark Mode, Stacks, and four new built-in apps, macOS Mojave helps you get more out of every click. 
Find out how to upgrade to macOS Mojave > https://support.apple.com/macos/mojave

Looks like no one’s replied in a while. To start the conversation again, simply ask a new question.

Question:

Question: LibreSSL upgrade for apache

I use macOS 10.13.2 and work in web development.


I try to use HTTP/2 with http2_module but respond with:


HTTP/1.1 200 OK

Date: Wed, 13 Dec 2017 17:03:04 GMT

Server: Apache/2.4.28 (Unix) LibreSSL/2.2.7 PHP/7.1.7

Upgrade: h2

Connection: Upgrade

Last-Modified: Wed, 13 Dec 2017 15:55:06 GMT

ETag: "1068-5603aca8a8a80"

Accept-Ranges: bytes

Content-Length: 4200

Vary: Accept-Encoding

Content-Type: text/html

I check this and I open a thread in stackoverflow: ssl - Enable HTTP/2 in apache 2 - Stack Overflow

I post a message in Apple feedback few weeks ago.

I compile the server my self, but it is tedious and generates several incompatibilities.

I finally managed to make everything work but the process is long to do it in each development team.


If possible I would like to know how to proceed so that this is solved. Simply use a version of LibreSSL greater than 2.5.0. Nowadays the stable version is 2.6.3.

MacBook Air, Mac OS X (10.7.5)

Posted on

Reply
User profile for user: nhereveri

Question: LibreSSL upgrade for apache